.label {
    background: var(--white-background, #FFFFFF);
    outline: black;
}

.map_icon > svg * {
    fill: var(--map-icon-svg-generic);
    stroke-width: 2;
}

/* generic svg icon rect background */
.map_icon > svg .map_icon_bg {
    fill: var(--map_icon_bg);
    stroke: var(--map_icon_bg-stroke, transparent);
    stroke-width: var(--map_icon_bg-stroke-width, 0);
}

/* entrance | exit rect background */
.map_icon > svg .map_icon_bg_se {
    fill: var(--map_icon_se);
}

.map_icon.transport_icon {
    fill: black !important;
}

.map_icon > svg .place-label-wrapper {
    fill: var(--map_icon_se_placeholder) !important;
}

.place-label-wrapper {
    fill: var(--platform_box_placeholder, #133e65);
    filter: drop-shadow(0px .75px .25px rgb(0 0 0));
}

.place-label,
.grouping-label {
    fill: #ffffff;
    font-family: Verdana, sans-serif;
    font-weight: 700;
}
.place-label {
    font-size: 2rem;
}
.grouping-label {
    font-size: 5.5rem;
}
.bus_stop_label {
    font-size: 2.5rem;
}
.arrowed_bus_stop_label {
    font-size: 2rem;
}
.mixed_icon .grouping-label {
    font-size: 4.5rem;
    fill: var(--map_icon_bg, #295282) !important;
}
.essential_icon {
    opacity: 1;
}
.non_essential_icon {
    opacity: 0;
}
/*.tube_icon_wrapper {*/
/*    &>*:first-child {*/
/*        transform: translateX(-25%);*/
/*    }*/
/*    &>*:nth-child(2) {*/
/*        transform: translateX(25%);*/
/*    }*/
/*}*/

.tube_icon_wrapper .underground_icon {
    transform: translate(5px, 0); /* Adjust the values as needed */
}

.icon-group {
    transform-origin: 50% 50%;
}

.place-label.road_label {
    fill: #000000;
    font-weight: 400;
    cursor: default;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /*transition-property: transform;*/
    /*transition-duration: 0.5s;*/
    /*transition-timing-function: ease-in-out;*/
}

.label.road {
    fill: none !important;
}

.minimal_scale {
    transform: scale(0) !important;
}

[data-icon-type="default"] {
    fill: var(--white-background, #FFFFFF);
}